Windows10中自带的Server:Microsoft-IIS/10.0,然后这个10却让原本支持组件无法安装了。在win10上安装 PHPManagerForIIS-1.2.0-x64.msi的时候报错“php manager for iis requires iis7 or higher to be installed. do you want to learn more on how to obtain and install iis 7?”但是在win7、win8、windows server2008甚至是windows server2012 r2上都可以安装。win10就不行。自IIS7以来,微软的IIS更改并不大,架构一致,几乎所有IIS7能用的组件都能够在IIS7.5/8/8.5/上安装。应该时微软在跳跃9版本直接到10了,出现这么一个bug。

那么怎么办呢?改注册表!

打开regedit,找到:

HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\W3SVC\Parameters

右侧的 MajorVersion 是DWORD值,它的值十进制是10,把它改成9。然后运行php manager安装程序即可顺利安装上了!记得装完之后改回来。

php manager的最新下载地址是:http://phpmanager.codeplex.com/releases/view/69115


而IIS URL Rewrite 2.0更是奇怪,简体中文版的这个组件无法安装,同样也是检测版本不正常,而英文版却能正常安装。

64位英文版下载地址是:http://go.microsoft.com/fwlink/?LinkID=615137

简体中文版下载地址是:http://download.microsoft.com/download/4/E/7/4E7ECE9A-DF55-4F90-A354-B497072BDE0A/rewrite_x64_zh-CN.msi


但是面对一堆英文,有些人肯定也会头疼了,那么简体中文版到底能不能装上。

也能!还是改注册表,我通过分析MSI发现它会检测

HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\InetStp

也是 MajorVersion 项,这个也是 dword 值 10(注意是十进制),把它改成9,结果顺利安装上了!